<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Button - jQuery UI</title>
    <script src="../../static/jquery/jquery-3.4.1.js"></script>
    <script src="../../static/jquery/jquery-ui.js"></script>
    <link href="../../static/jquery/jquery-ui.css" rel="stylesheet">
    <link href="../../static/style/common.css" rel="stylesheet">
</head>

<body>
    <div id="console" class="console">
    </div>

    <button id="btnAdd">Add</button>
    <button id="btnGet">Get</button>
    <button id="btnDelete">Delete</button>
    <button id="btnClean">Clean</button>
    <br>
    <button id="btnSet02">Set02</button>
    <button id="btnGet02">Get02</button>
    <br>
    <button id="btnList">List</button>



    <h2>Reference</h2>
    <hr>
    <a href="https://blog.csdn.net/djzhao627/article/details/50747628">JQuery和JS操作LocalStorage/SessionStorage的方法</a>
    <script>
        $(function() {
            var $console = $('#console');
            var $btnAdd = $('#btnAdd');
            var $btnGet = $('#btnGet');
            var $btnDelete = $('#btnDelete');
            var $btnClean = $('#btnClean');

            var $btnSet02 = $('#btnSet02');
            var $btnGet02 = $('#btnGet02');

            var $btnList = $('#btnList');

            var keyCode = 0;
            var valueCode = 0;

            $btnAdd.off('click').on('click', function() {
                var key = keyCode + '';
                var val = valueCode + '';
                window.localStorage.setItem(key, val);
                keyCode++;
                valueCode++;
            });

            $btnGet.off('click').on('click', function() {
                var key;
                var msg = '';
                for (var i = 0; i < keyCode; i++) {
                    key = i + '';
                    msg += window.localStorage.getItem(key);
                    msg += '<br>';
                }
                $console.html(msg);
            });

            $btnDelete.off('click').on('click', function() {
                var key = keyCode + '';
                window.localStorage.removeItem(key);
            });
            $btnClean.off('click').on('click', function() {
                window.localStorage.clear();
            });

            $btnSet02.off('click').on('click', function() {
                window.localStorage.keyName = "OwO";
            })

            $btnGet02.off('click').on('click', function() {
                var msg = window.localStorage.keyName
                $console.text(msg);
            })

            $btnList.off('click').on('click', function() {
                $console.text('');
                var keys = Object.keys(localStorage);
                var len = keys.length;
                for(var i=0;i<len;i++){
                    if(keys[i].startsWith('keyName')){
                        $console.append('target: ' + keys[i] + '<br>');
                    }else{
                        $console.append(keys[i] + '<br>');
                    }
                }    
            })
            var initPageView = function() {}

            initPageView();

        });

    </script>
</body>

</html>
